跳转到主要内容
POST
/
v1
/
maps
curl --request POST \
  --url https://api.olostep.com/v1/maps \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "url": "https://docs.olostep.com"
}
'
{
  "id": "map_abc123",
  "urls_count": 22,
  "urls": [
    "https://docs.olostep.com/api-reference/batches/create",
    "https://docs.olostep.com/api-reference/batches/info",
    "https://docs.olostep.com/api-reference/batches/items"
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.olostep.com/llms.txt

Use this file to discover all available pages before exploring further.

授权

Authorization
string
header
必填

Bearer 认证头的格式为 Bearer ,其中 是你的认证令牌。

请求体

application/json
url
string<uri>
必填

你想要获取链接的网站的 URL

search_query
string

一个可选的搜索查询,用于按搜索相关性排序链接。

top_n
number

一个可选的数字,用于限制搜索查询的前 n 个链接。

include_subdomain
boolean

包含给定 URL 的子域。默认值为 true

include_urls
string[]

使用 glob 语法包含的 URL 路径模式。例如:/blog/** 仅包含博客 URL。只有匹配这些模式的 URL 才会被返回。

exclude_urls
string[]

使用 glob 语法排除的 URL 路径模式。例如:/careers/**。排除的 URL 将优先于包含的 URL。

cursor
string

可选:来自先前响应的分页游标。当提供时,将返回从上一个请求由于响应大小限制而停止的地方的下一组 URL。

响应

成功响应包含页面上找到的 URL。

urls_count
integer
必填

当前响应中的 URL 数量

urls
string[]
必填

页面上找到的 URL 数组

id
string

此地图的唯一标识符

cursor
string

分页游标用于获取由于10MB大小限制而限制的下一组URL。如果为null或不存在,则表示已检索到所有URL。